Subject: Re: [PATCH v2 iproute2 0/6] Add support for vrf keyword

From: Stephen Hemminger <[email-masked]>
Date: Wed, 29 Jun 2016 08:07:40 -0700

On Mon, 27 Jun 2016 11:50:55 -0700
David Ahern <[email-masked]> wrote:

> Currently the syntax for VRF related commands is rather kludgy and
> inconsistent from one subcommand to another. This set adds support
> for the VRF keyword to the link, address, neigh, and route commands
> to improve the user experience listing data associated with vrfs,
> modifying routes or doing a route lookup.
> 
> v2
> - rebased to top of tree
> - all checkpatch warnings are usage lines. The change in these
>   patches is consistent with existing code for usage lines

Does this break current user scripts?

It seems this method will cause lots of additional netlink requests
to check if device is a vrf. Won't this impact users with 1000's of devices?